import { select, 
         range,
         scaleOrdinal,
         scaleLinear
        } 
from 'd3';

import {
   drawFruitsAnim
 }
from './makeFruit';

const width = 1000
const height = 1000
 
const svg = d3.select('.pattern')
                 .attr('height',height)
                 .attr('width',width);

const fruitBowl = svg.append('g');
 
 
const render = (selection,data) => {
  
   drawFruitsAnim(selection,data);
            
              };

const MakeFruits = (type,n) => { return  range(n).map( () =>  {  return {type, id: Math.random()};  } ) ; };

var fruits = MakeFruits("apple",4);
const hpos = 300;
const props = { fruits ,hpos }; 
 
render(fruitBowl, props); 

setTimeout(  
  () => {
     props.fruits[2].type = "lemon"
     render(fruitBowl, props); 
  }  
  , 1100);

setTimeout(  
  () => {
     props.fruits  = props.fruits.filter( (d,i) => i!=1 )
     render(fruitBowl, props); 
  }  
  , 3300);
 







 

 
